package currency;

import junit.framework.*;

public class TestMoney extends TestCase{
 
  public static void main (String[] args) {
    junit.textui.TestRunner.run(suite());
  }
 
  public static Test suite() {
    return new TestSuite(TestMoney.class);
  }

  public void testEquality(){
    assertTrue(new Currency(5, "Currency").equals(new Currency(5, "Currency")));
    assertFalse(new Currency(5, "Currency").equals(new Currency(6, "Currency")));
    assertTrue(new Currency(5, "Franc").equals(new Currency(5, "Franc")));
    assertFalse(new Currency(5, "Franc").equals(new Currency(6, "Franc")));
    assertFalse(new Currency(5, "Franc").equals(new Currency(5, "Currency")));
  }

  public void testMultiplication() {
    Currency five = new Currency(5, "Dollar");
    assertEquals(new Currency(15, "Dollar"), five.times(3));
  }

public void testCurrencyType(){
  assertEquals("Dollar", Currency.dollar(1).type);
  assertEquals("Franc", Currency.franc(1).type);
}
}
