package currency;

public class Currency {

  protected int amount;
  protected String type;

  Currency(int amount, String type) {
    this.amount = amount;
    this.type = type;
  }
  
  public boolean equals(Object obj) {
    return amount == ((Currency) obj).amount
        && type == ((Currency) obj).type;
  }

  protected Currency times(int multiplier) {
    return new Currency(amount * multiplier, type);
  }

  static Currency dollar(int amount){
    return new Currency(amount, "Dollar");
  }

  static Currency franc(int amount){
    return new Currency(amount, "Franc");
  }
}
